MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024757Open CASCADE[OCCT] OCCT:DRAWpublic2014-03-24 11:372014-11-11 12:51
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024757: DRAW: Move commands fixshape, tolerance, and similar to MODELING
DescriptionFor historic reasons, DRAW commands related to ShapeHealing component (fixshape etc.) are defined in package SWDRAW which is included in Data Exchange component of DRAW -- XSDRAW plugin. They should be moved to appropriate toolkit in Modeling part, TKTopTest.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028496)
dbv (developer)
2014-03-26 17:01

Package SWDRAW has been moved to TKTopTest toolkit. Class SWDRAW_ToVRML has been moved to XSDRAWSTLVRML_ToVRML

Removed unused classes:
SWDRAW_ShapeBuild
SWDRAW_ShapeConstruct
XSDRAW_Shape

Removed NSPApply command

Patch is ready to be reviewed in branch CR24757
(0028528)
abv (manager)
2014-03-28 10:05

No remarks, please test
(0028594)
mkv (tester)
2014-04-01 16:33

Dear BugMaster,

Branch CR24757 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 0ed8e0a8a222a815aa9423af20d697d039e019e7

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24757-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24757-master-occt/Windows-32-VC9/summary.html [^]
heal elementary_to_revolution(012) A1, A2, A3, A4, A5

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 350794080 / 393133524
Total CPU difference: 61168.59999999981 / 57188.1899999999

Testing on Windows:
Total MEMORY difference: 359330672 / 414237744
Total CPU difference: 39693.625 / 42825.71875

There are no differences in images found by testdiff.
(0028604)
dbv (developer)
2014-04-01 18:30

Test script has been updated. Please retest.
(0028606)
dbv (developer)
2014-04-01 18:58

Another one update has been pushed. "xtrace" command has been removed as useless. Please test.
(0028607)
abv (manager)
2014-04-01 18:58

Branch is updated; please test (a31b918decfbdd2475ce08b153ad8623528201af)
(0028628)
mkv (tester)
2014-04-02 14:06

Dear BugMaster,

Branch CR24757 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a31b918decfbdd2475ce08b153ad8623528201af

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 350446556 / 393242136
Total CPU difference: 63311.13999999993 / 57189.309999999896

Testing on Windows:
Total MEMORY difference: 367030604 / 414274688
Total CPU difference: 36880.46875 / 42798.984375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 7da5f7b1
Timestamp: 2014-04-03 12:22:15
Author: dbv
Committer: apn
Details ] Diff ]
0024757: DRAW: Move commands fixshape, tolerance, and similar to MODELING

Package SWDRAW has been moved to TKTopTest toolkit. Class SWDRAW_ToVRML has been moved to XSDRAWSTLVRML_ToVRML
Removed unused classes:
SWDRAW_ShapeBuild
SWDRAW_ShapeConstruct
XSDRAW_Shape
Removed NSPApply command
Test script update
Removed xtrace command
mod - src/IFSelect/IFSelect_Functions.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW.cdl Diff ] File ]
mod - src/SWDRAW/SWDRAW.cxx Diff ] File ]
rm - src/SWDRAW/SWDRAW_ShapeBuild.cdl Diff ] File ]
rm - src/SWDRAW/SWDRAW_ShapeBuild.cxx Diff ] File ]
rm - src/SWDRAW/SWDRAW_ShapeConstruct.cdl Diff ] File ]
rm - src/SWDRAW/SWDRAW_ShapeConstruct.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe.cxx Diff ] File ]
mod - src/TKTopTest/EXTERNLIB Diff ] File ]
mod - src/TKTopTest/PACKAGES Diff ] File ]
mod - src/TKXSDRAW/EXTERNLIB Diff ] File ]
mod - src/TKXSDRAW/PACKAGES Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
mod - src/XSDRAW/XSDRAW.cdl Diff ] File ]
mod - src/XSDRAW/XSDRAW.cxx Diff ] File ]
rm - src/XSDRAW/XSDRAW_Shape.cdl Diff ] File ]
rm - src/XSDRAW/XSDRAW_Shape.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cdl Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
mod - tests/heal/begin Diff ] File ]
mod - tests/heal/elementary_to_revolution/end Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-24 11:37 abv New Issue
2014-03-24 11:37 abv Assigned To => mkv
2014-03-24 11:46 abv Assigned To mkv => dbv
2014-03-24 11:46 abv Status new => assigned
2014-03-26 17:01 dbv Note Added: 0028496
2014-03-26 17:01 dbv Assigned To dbv => abv
2014-03-26 17:01 dbv Status assigned => resolved
2014-03-28 10:05 abv Note Added: 0028528
2014-03-28 10:05 abv Assigned To abv => bugmaster
2014-03-28 10:05 abv Status resolved => reviewed
2014-03-28 18:31 mkv Assigned To bugmaster => mkv
2014-04-01 16:33 mkv Note Added: 0028594
2014-04-01 16:34 mkv Test case number => Not needed
2014-04-01 16:34 mkv Assigned To mkv => dbv
2014-04-01 16:34 mkv Status reviewed => assigned
2014-04-01 18:29 dbv Status assigned => resolved
2014-04-01 18:30 dbv Note Added: 0028604
2014-04-01 18:30 dbv Assigned To dbv => mkv
2014-04-01 18:30 dbv Status resolved => reviewed
2014-04-01 18:49 dbv Assigned To mkv => dbv
2014-04-01 18:49 dbv Status reviewed => assigned
2014-04-01 18:55 dbv Status assigned => resolved
2014-04-01 18:58 dbv Note Added: 0028606
2014-04-01 18:58 dbv Assigned To dbv => mkv
2014-04-01 18:58 dbv Status resolved => reviewed
2014-04-01 18:58 abv Note Added: 0028607
2014-04-02 14:06 mkv Note Added: 0028628
2014-04-02 14:07 mkv Assigned To mkv => bugmaster
2014-04-02 14:07 mkv Status reviewed => tested
2014-04-04 14:00 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:03 apn Changeset attached => occt master 7da5f7b1
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker